Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetSupergroupMembers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatMembers>
it.tdlight.jni.TdApi.GetSupergroupMembers

Enclosing class:
  TdApi

public static final class TdApi.GetSupergroupMembers extends TdApi.Function<TdApi.ChatMembers>
Returns information about members or banned users in a supergroup or channel. Can be used only if supergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

Returns `ChatMembers`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.SupergroupMembersFilter`
`filter`
The type of users to return; pass null to use supergroupMembersFilterRecent.
`int`
`limit`
The maximum number of users be returned; up to 200.
`int`
`offset`
Number of users to skip.
`long`
`supergroupId`
Identifier of the supergroup or channel.

## Constructor Summary

Constructors
Constructor
Description
`GetSupergroupMembers()`
Returns information about members or banned users in a supergroup or channel.
`GetSupergroupMembers(long supergroupId, TdApi.SupergroupMembersFilter filter, int offset, int limit)`
Returns information about members or banned users in a supergroup or channel.
`GetSupergroupMembers(DataInput input)`
Returns information about members or banned users in a supergroup or channel.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### supergroupId

public long supergroupId
Identifier of the supergroup or channel.

### filter

public TdApi.SupergroupMembersFilter filter
The type of users to return; pass null to use supergroupMembersFilterRecent.

### offset

public int offset
Number of users to skip.

### limit

public int limit
The maximum number of users be returned; up to 200.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetSupergroupMembers

public GetSupergroupMembers()
Returns information about members or banned users in a supergroup or channel. Can be used only if supergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

Returns `ChatMembers`

### GetSupergroupMembers

public GetSupergroupMembers(long supergroupId, TdApi.SupergroupMembersFilter filter, int offset, int limit)
Returns information about members or banned users in a supergroup or channel. Can be used only if supergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

Returns `ChatMembers`

Parameters:
  `supergroupId` - long Identifier of the supergroup or channel.
  `filter` - SupergroupMembersFilter The type of users to return; pass null to use supergroupMembersFilterRecent.
  `offset` - int Number of users to skip.
  `limit` - int The maximum number of users be returned; up to 200.

### GetSupergroupMembers

public GetSupergroupMembers(DataInput input) throws IOException
Returns information about members or banned users in a supergroup or channel. Can be used only if supergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

Returns `ChatMembers`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`